html, body {
    height: 100%;
    font-family: 'Open Sans', sans-serif;
    color: #6D6D6D;
    font-size: 14px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

.row {
    padding: 0px;
    margin: 0px;
}

.container-fluid {
    padding: 0px;
    margin: 0px;
}

.no-spaces {
    padding: 0px;
    margin: 0px;
}

.row-margin-top-1 {
    margin-top: 15px;
}

.margin-top-1 {
    margin-top: 20px;
}

.margin-left-1 {
    margin-left: 5px;
}

.margin-right-1 {
    margin-right: 5px;
}

.body-content {
    padding: 0px 5px 0px 5px;
}

.header-height {
    height: 82px;
}

.col-1-search-panel {
    min-width: 110px;
    max-width: 110px;
}

.long-text {
    word-wrap: break-word; 
    overflow-wrap: break-word; 
}

/**
    Label font
*/
label {
    font-size: 12px;
    color: #6D6D6D;
    font-weight: 600;
    font-size: 14px;
}

div > label.inline
{
    margin: 8px 0px 0px 0px;
}

/**
    HEADER H1
*/
div.panel-heading {
    background-color: #DDDDDD !important;
    height: 35px;
}

div.panel-heading > h1 {
    font-size: 14px;
    padding: 5px;
    margin: 0px;
    color: #999999;
    font-weight: bold;
}

.panel-heading{
    padding: 5px;
}

.panel-no-border {
    border: none !important;
    margin: 0px !important;
    border-radius: unset;
    -webkit-box-shadow: none;
    box-shadow: none;
}

/**
    Empty space
*/
.empty-space {
    height: 1px;
    min-height: 1px;
    margin-top: 10px;
    margin-bottom: 10px;
}


/**
    FOOTER
*/

#wrap {
    padding: 0px;
    margin: 0px;
    min-height: -webkit-calc(100% - 140px); /* Chrome */
    min-height: -moz-calc(100% - 140px); /* Firefox */
    min-height: calc(100% - 140px); /* native */
}

.footer {
    position: relative;
    clear: both;
    font-size: 9px;
}

/**
    TABLES
*/
table {
    table-layout: fixed;
    width: 100%;
}

th {
    cursor: pointer;
    background-color: #DDDDDD;
    text-align: center;
    font-size: 12px;
}

th.sorted {
    background-color: #C2C2C2;
}

tr {
    cursor: pointer;
}

td.amount{
    text-align: right;
}

td {
    word-wrap: break-word;
}

.table-curved {
    border-collapse: separate;
    border-spacing: 0px;
    border: solid #ccc 1px;
    border-radius: 4px;
    border-top: 0px;
    border-right: 0px;
}
    
.table-curved > thead:first-child > tr:first-child > th {
    border-bottom: 0px;
    border-top: solid #ccc 1px;
    vertical-align:middle;
}

    .table-curved td, .table-curved th {
        border-left: 0px !important;
        border-bottom: 0px !important;
        border-right: 1px solid #ccc !important;
        border-top: 1px solid #ccc !important;
    }

    .table-curved > :first-child > :first-child > :first-child {
        border-radius: 4px 0 0 0;
    }

    .table-curved > :first-child > :first-child > :last-child {
        border-radius: 0 4px 0 0;
    }

    .table-curved > :last-child > :last-child > :first-child {
        border-radius: 0 0 0 4px;
    }

    .table-curved > :last-child > :last-child > :last-child {
        border-radius: 0 0 4px 0;
    }

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

input::-ms-clear {
    width: 0;
    height: 0;
    display: none;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    /*max-width: 280px;*/
    resize: none;
}

.input-group-addon
{
    border: none;
    background-color: white;
}

/* change the navbar color */
.navbar-izydase {
    padding-top: 10px;
    background-color: #ffffff;
    color: #FFFFFF;
    border-radius: 10px;
    border-color: #EC0000;
}

/* Link */
a, a:hover {
    text-decoration: none;
    color: #ee0d0b;
}

/* User link */
.header-user-link {
    text-decoration: none;
    vertical-align: bottom;
    padding-left: 20px
}

/* Logout link */
.header-logout-link {
    color: #FFFFFF !important;
    text-decoration: none;
    margin-top: 10px;
}

/* Refresh link */
.header-refresh-link {
    color: #FFFFFF !important;
    text-decoration: none;
    margin-top: 20px;
}

/**
    Styl przycisku czyszczenia pola
*/
span.clearer {
    pointer-events: auto;
    text-decoration: none;
    cursor: pointer;
    color: #333333;
    width: 15px;
    height: 20px;
}

/** dla date pickera, przesuwam w lewo */
my-date-picker + span.clearer {
    /*left: 95px;
    position: absolute;
    top: -2px;*/
    margin-right: 35px;
}

/** dla textarea, przesuwam w lewo */
textarea + span.clearer {
    /*left: 95px;
    position: absolute;
    top: -2px;*/
    padding-right: 35px;
}

/**
    Wyrównania
*/
.align-right {
    text-align: right;
}

.align-center {
    text-align: center;
}

/**
    Przyciski, listy rozwijane
*/
.btn-max-width {
    width: 100%;
    min-width: 200px;
    max-width: 210px;
}

/**
    Pola tekstowe
*/
input[type=text] {
    text-transform: uppercase;
}

.input-money
{
    text-align: right;
}

input[izydaseNumberOnlyFormatter],
input[izydaseCurrencyFormatter]
{
    text-align: right;
}

/*dla pól, które po prawej stronie mają X do usuwania, żeby liczba i X nie nachodziły na siebie*/
.number-to-left {
    text-align: left !important;
}

/**
    Daty
*/
my-date-picker > div.mydp {
    /*width: 150px !important;*/
    height: 30px;
}

my-date-picker {
    height: 30px;
    /*position: absolute;*/
    left: 10px;
}

my-date-picker > * input {
    font-size: 12px !important;
    height: 18px;
}

my-date-picker > .mydp .selection, .mydp .selbtngroup {
    height: 28px !important;
}

.ui-select-match-text {
    font-size: 12px !important;
    font-family: 'Open Sans', sans-serif !important;
}

/**
    Required
*/
:required {
    background-color: #fcdde0 !important;
    color: #000000 !important;
}

input:required {
    background-color: #fcdde0 !important;
    color: #000000 !important;
}

ng-select[required] > * .ui-select-toggle {
    background-color: #fcdde0 !important;
    border: none;
    color: #000000 !important;
}

my-date-picker[required] > * input {
    background-color: #fcdde0 !important;
    border: none;
    color: #000000 !important;
}

input.file-name:required {
    background-color: #fcdde0 !important;
}


/*
    Disabled
*/
input:read-only,
input.readonly,
input.disabled > * {
    background-color: #DDDDDD !important;
    color: #6D6D6D !important;
    opacity: 0.6 !important;
}

.ui-disabled {
    background-color: #DDDDDD !important;
    color: #6D6D6D !important;
    opacity: 0.6 !important;
}

select.disabled {
    background-color: #DDDDDD !important;
    color: #6D6D6D !important;
    opacity: 0.6 !important;
}

textarea:disabled {
    background-color: #DDDDDD !important;
    color: #6D6D6D !important;
    opacity: 0.6 !important;
}

my-date-picker.disabled > * {
    pointer-events: none;
    background-color: #DDDDDD !important;
    color: #6D6D6D !important;
    opacity: 0.6 !important;
}

my-date-picker.disabled > * input {
    pointer-events: none;
    background-color: #DDDDDD !important;
    color: #6D6D6D !important;
    opacity: 0.6 !important;
}

/*
    checkbox checked + disabled
*/

input[type="checkbox"]:disabled + label::before {
    background: gray;
}

input[type="checkbox"]:disabled + label:hover::before {
    background: gray;
    border: 1px solid #d4d4d5;
}

/**
    angular2-multiselect
*/
li > label {
    font-size: 12px !important;
    font-weight: 100 !important;
    font-style: normal !important;
    color: black !important;
}

.c-token {
    margin: 2px 5px 2px 2px !important;
}

.c-btn {
    border: none !important;
    display: inline-block !important;
    background: #fff !important;
    border: 1px solid #c0c0c0 !important;
    border-radius: 3px !important;
    font-size: 14px !important;
    color: #c0c0c0 !important;
    box-shadow: none !important;
    font-size: 10px !important;
    min-height: 30px !important;
    margin: 0px !important;
    padding: 5px !important;
}


.selected-list .c-btn {
    width: 100%;
    box-shadow: none !important;
    padding: 10px;
    cursor: pointer
}

@keyframes borderscale {
    50% {
        box-shadow: none !important;
    }
}

.cuppa-dropdown {
    border: none !important;
}

/**
    koniec dla angular2-multiselect
*/

/**
    Tooltip
*/
.tooltip-inner {
    background-color: #F0F0F0 !important;
    color: black !important;
}

.tooltip .tooltip-arrow {
    /*background-color: red !important;*/
}

.tooltip-content {
    /* background-color: red !important;*/
    /*  text-align: left !important;
    color: black !important;
    font-weight: normal !important;
    font-size: 10px !important;
    opacity: 1;*/
}

/**
    Koniec dla Tooltip
*/

/**
    Błędy
*/

.field-error {
    color: red;
    font-size: 10px;
    font-style: italic;
}


/*
    Buttons
*/

.btn {
    word-wrap: break-word;
    white-space: normal;
    outline: none !important;
}

.btn-primary {
    background-color:  #ee0b0b !important;
    color: #ffffff !important;
    border-radius: 5px;
    border-color:  #ee0b0b;
}

.btn-primary:hover {
    background-color: #ffffff !important;
    color:  #ee0b0b !important;
    border-radius: 5px;
    border-color:  #ee0b0b;
}

/**
    MODAL
*/

.modal-title {
    width: 97%;
    text-align: center;
}

.modal-title.warning {
    color: #E59D27 !important;
}

.modal-title.error {
    color: #E60000 !important;
}

/**
    =====================================================
    LOADER...
    =====================================================
*/

.tootlbar-icon {
    padding: 0 14px;
}

.tootlbar-spacer {
    flex: 1 1 auto;
}

/* Absolute Center Spinner */
.loading {
    position: fixed;
    z-index: 999;
    height: 2em;
    width: 2em;
    overflow: show;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

    /* Transparent Overlay */
    .loading:before {
        content: '';
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0,0,0,0.3);
    }

    /* :not(:required) hides these rules from IE9 and below */
    .loading:not(:required) {
        /* hide "loading..." text */
        font: 0/0 a;
        color: transparent;
        text-shadow: none;
        background-color: transparent;
        border: 0;
    }

        .loading:not(:required):after {
            content: '';
            display: block;
            font-size: 10px;
            width: 1em;
            height: 1em;
            margin-top: -0.5em;
            -webkit-animation: spinner 1500ms infinite linear;
            -moz-animation: spinner 1500ms infinite linear;
            -ms-animation: spinner 1500ms infinite linear;
            -o-animation: spinner 1500ms infinite linear;
            animation: spinner 1500ms infinite linear;
            border-radius: 0.5em;
            -webkit-box-shadow: rgba(0, 0, 0, 0.75) 1.5em 0 0 0, rgba(0, 0, 0, 0.75) 1.1em 1.1em 0 0, rgba(0, 0, 0, 0.75) 0 1.5em 0 0, rgba(0, 0, 0, 0.75) -1.1em 1.1em 0 0, rgba(0, 0, 0, 0.5) -1.5em 0 0 0, rgba(0, 0, 0, 0.5) -1.1em -1.1em 0 0, rgba(0, 0, 0, 0.75) 0 -1.5em 0 0, rgba(0, 0, 0, 0.75) 1.1em -1.1em 0 0;
            box-shadow: rgba(0, 0, 0, 0.75) 1.5em 0 0 0, rgba(0, 0, 0, 0.75) 1.1em 1.1em 0 0, rgba(0, 0, 0, 0.75) 0 1.5em 0 0, rgba(0, 0, 0, 0.75) -1.1em 1.1em 0 0, rgba(0, 0, 0, 0.75) -1.5em 0 0 0, rgba(0, 0, 0, 0.75) -1.1em -1.1em 0 0, rgba(0, 0, 0, 0.75) 0 -1.5em 0 0, rgba(0, 0, 0, 0.75) 1.1em -1.1em 0 0;
        }

/* Animation */

@-webkit-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-moz-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-o-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}


/**
    =====================================================
    END LOADER...
    =====================================================
*/

.btn-img-excel {
    background-image: url('./img/excel.png');
    background-size: cover;
    width: 40px !important;
    height: 35px !important;
}

.btn-img-print {
    background-image: url('./img/print.png');
    background-size: cover;
    width: 40px !important;
    height: 35px !important;
}

.RedBackgroundField {
    background-color: #fcdde0;
}

.has-feedback {
    min-height: 15px;
}

.label-no-wrap {
    white-space: nowrap;
}

/* styl jesli pole error-field jest po my-date-picker lub jesli pole error-field jest po span.clearer i my-date-picker*/
my-date-picker + error-field, my-date-picker + span.clearer + error-field {
    top: -5px;
    position: relative;
}


.custom-input-width-500 > div > ul.ui-select-choices
{
    width: 500px;
}

.custom-input-width-400 > div > ul.ui-select-choices {
    width: 500px;
}

.custom-input-width-800 > div > ul.ui-select-choices {
    width: 800px;
}